osgShadow::LightSpacePerspectiveShadowMapAlgorithm Class Reference

`#include <LightSpacePerspectiveShadowMap>`

## Public Member Functions

| LightSpacePerspectiveShadowMapAlgorithm ()
| ~LightSpacePerspectiveShadowMapAlgorithm ()
void | operator() (const osgShadow::ConvexPolyhedron *hullShadowedView, const osg::Camera *cameraMain, osg::Camera *cameraShadow) const

## Protected Attributes

LispSM * | lispsm

## Constructor & Destructor Documentation

## LightSpacePerspectiveShadowMapAlgorithm()

osgShadow::LightSpacePerspectiveShadowMapAlgorithm::LightSpacePerspectiveShadowMapAlgorithm | ( |  | ) |

## ~LightSpacePerspectiveShadowMapAlgorithm()

osgShadow::LightSpacePerspectiveShadowMapAlgorithm::~LightSpacePerspectiveShadowMapAlgorithm | ( |  | ) |

## Member Function Documentation

## operator()()

void osgShadow::LightSpacePerspectiveShadowMapAlgorithm::operator() | ( | const osgShadow::ConvexPolyhedron * | hullShadowedView,
|  | const osg::Camera * | cameraMain,
|  | osg::Camera * | cameraShadow ) const

## Member Data Documentation

## lispsm

LispSM* osgShadow::LightSpacePerspectiveShadowMapAlgorithm::lispsm

protected

The documentation for this class was generated from the following file:

- LightSpacePerspectiveShadowMap